Bug 201208 - ruby-libs needs to own sitearchdir
ruby-libs needs to own sitearchdir
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 12:07 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 06:02:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2006-08-03 12:07:24 EDT
rpm -qf `ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']"` says that that
dir is not owned by any package. It should be owned by ruby-langs, which owns
all the other similar dirs (archdir, rubylibdir, sitelibdir)

Actually, rubylibdir is owned by both ruby-libs and ruby-rdoc, should be enough
if only ruby-libs owns it
Comment 1 David Lutterkort 2006-08-03 12:15:19 EDT
And when I say ruby-langs, I really mean ruby-libs ;)
Comment 2 Akira TAGOH 2006-08-07 03:10:00 EDT
Ok, the real problem is that ruby-libs doesn't contain sitearchdir at all. and
this issue appears after one installs the ruby package that uses sitearchdir.
Comment 3 Akira TAGOH 2006-08-07 06:02:19 EDT
Fixed in 1.8.4-12.fc6

Note You need to log in before you can comment on or make changes to this bug.